/* Homepage:
 * http://openwall.info/wiki/people/solar/software/public-domain-source-code/md5
 *
 * Author:
 * Alexander Peslyak, better known as Solar Designer <solar at openwall.com>
 */

#ifndef CMD5_H
#define CMD5_H

#ifdef HAVE_OPENSSL
#include <openssl/md5.h>
#elif !defined(_MD5_H)
#define _MD5_H

typedef struct 
{
	unsigned int	lo, hi;
	unsigned int	a, b, c, d;
	unsigned char	buffer[64];
	unsigned int	block[16];
} MD5_CTX;

void MD5_Init(MD5_CTX *ctx);
void MD5_Update(MD5_CTX *ctx, const void *data, unsigned long size);
void MD5_Final(unsigned char *result, MD5_CTX *ctx);

void MD5_Checksum(unsigned char *pData, int pDataLen, unsigned char *pCheckSumOut);

#endif
#endif